System: 32-bit CentOS 5.4, zcs 6.0.3 RHEL5 32-bit

While upgrading from 6.0.2 using ./install.sh --platform-override

Operations logged to /tmp/zmsetup.11242009-132355.log
Upgrading from 6.0.1_GA_1816 to 6.0.3_GA_1915
Stopping zimbra services...done.
Verifying /opt/zimbra/conf/my.cnf
Starting mysql...done.
This appears to be 6.0.1_GA
Stopping mysql...done.
Checking ldap status...not running.
Running zmldapapplyldif...done.
Checking ldap status...already running.
Updating from 6.0.2_GA
Updating from 6.0.3_GA
Updating global config and COS's with attributes introduced after 6.0.1_GA...done.
Stopping ldap...done.
Upgrade complete.

Running bdb db_recover...done.
Running zmldapapplyldif...done.
Checking ldap status....already running.
Setting defaults...done.
Setting defaults from existing config...done.
Checking for port conflicts
Setting defaults from ldap...done.

Main menu

1) Common Configuration:
[...]
+Secure interprocess communications: yes
******* +TimeZone: UNSET

Select 1:

Common configuration

1) Hostname: [hidden]
2) Ldap master host: [hidden]
3) Ldap port: 389
4) Ldap Admin password: set
5) Secure interprocess communications: yes
** 6) TimeZone: UNSET

Select, or 'r' for previous menu [r] 6

Can't call method "tzid" on an undefined value at /opt/zimbra/libexec/zmsetup.pl line 2877, <> line 6.

And installation is aborted.

Received the same error for 6.0.1 -> 6.0.2 upgrade.

Any help is appreciated.

Thanks,
Cristian N. Bradiceanu